Bug 58435 - RFE: option to provide hostname when choosing dhcp during install
RFE: option to provide hostname when choosing dhcp during install
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.2
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
: FutureFeature
: 59745 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-16 10:42 EST by John Kacur
Modified: 2007-03-26 23:50 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 14:08:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Kacur 2002-01-16 10:42:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (Windows NT 5.0; U)

Description of problem:
The RedHat scripts use DHCP_HOSTNAME.
I usually edit /etc/sysconfig/network to contain
DHCP_HOSTNAME=myhostname
and then use dhcp to obtain a dynamic address.

However, I believe that during install, a better netconfig could be
written. Right now if you choose dhcp, the install tries to get all
information from dhcp. It should be fairly easy to add some user
configurable fields even when dhcp is chosen, such as "set your
hostname/let dhcp provide you a hostname" which could set DHCP_HOSTNAME if
required.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run Install and choose dhcp
2.
3.
	

Actual Results:  The installer assumes that you want to obtain all information from dhcp. The most common example I can think of
where you don't want this, is when you want to provide a hostname, but have dhcp provide a dynamic address

Expected Results:  When choosing dhcp, the installer should ask you whether you want to obtain all information from dhcp, or
provide some information such as hostname

Additional info:

This is a very simple enhancement that system administrators should really appreciate.
Comment 1 Brent Fox 2002-01-20 11:22:34 EST
katzj, we've kicked this around the block before, but I think this is a good
idea.  Especially if you had a checkbox that said something like "specify
hostname manually".  What do you think?
Comment 2 Michael Fulbright 2002-02-12 12:25:39 EST
*** Bug 59745 has been marked as a duplicate of this bug. ***
Comment 3 Michael Fulbright 2002-03-27 14:34:47 EST
We will consider this in a future release.
Comment 4 Jeremy Katz 2002-05-30 18:26:22 EDT
msf was looking at this
Comment 5 Michael Fulbright 2002-06-03 12:13:01 EDT
Fixed in internal CVS.
Comment 6 Michael Fulbright 2002-12-20 12:38:25 EST
Time tracking values updated
Comment 7 Jeremy Katz 2006-04-24 14:08:41 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.